%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define	name	planeshift
%define	version	0.4.01
%define	cvsdate	20080702
#generic library versions
%define	csver	1.4
%define	celver	1.3

#specific svn revisions

%define	release	%mkrel 0.%cvsdate.2

%define	Summary	Fantasy MMORPG in a persistent world

Name:		%name
Version:	%version
Release:	%release
URL:		http://www.planeshift.it/
Source0:	%name-%{cvsdate}.tar.bz2
Source1:	icons.tar.bz2
Patch0:		planeshift-eedit.patch
Patch1:		planeshift-client.patch
Patch3:		planeshift-server.patch
Patch4:		planeshift-vfspaths.patch
License:	GPL
Group:		Games/Adventure
Summary:	%Summary
BuildRequires:	crystalspace-devel >= %{csver}
BuildRequires:	cel-devel >= %{celver}
BuildRequires:	ftjam
BuildRequires:	mysql-devel
BuildRequires:	curl openssl-devel
BuildRequires:	cal3d-devel >= 0.11.0
BuildRequires:	perl-Template-Toolkit
BuildRequires:	curl-devel >= 0.15.4
BuildRequires:	ImageMagick
Requires:	crystalspace >= %{csver}
Requires:	cel >=  %{celver}
Requires:	planeshift-data = %{version}
BuildRoot:	%_tmppath/%name-%version-%release-buildroot

%description
PlaneShift is a persistent fantasy multiplayer Role Playing Game
with state-of-the-art 3D graphics. Create your character and live
in an ever-changing world. Build with us a Team that will make
PlaneShift THE choice of MMORPG.

%prep
%setup -q -n %name -a1
rm -rf `find -type d -name .svn`
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1

%build


./autogen.sh
CEL=%_libdir/cel-%{celver} \
CRYSTAL=%_libdir/crystal-%{csver} \
CFLAGS="$RPM_OPT_FLAGS -I%_includedir/cel" \
CXXFLAGS="$RPM_OPT_FLAGS -I%_includedir/cel" \
%configure2_5x	--bindir=%_gamesdatadir/planeshift \
		--datadir=%_gamesdatadir/planeshift
jam -d2 %_smp_mflags

%install
rm -rf $RPM_BUILD_ROOT



jam -d2 -sDESTDIR=$RPM_BUILD_ROOT install


#change audio to the software renderer by default
sed -i "s/\= crystalspace\.sndsys\.renderer\.openal/\= crystalspace\.sndsys\.renderer\.software/g" psclient.cfg
#change the updater to active
sed -i "s/config active\=\"false\"/config active\=\"true\"/g" updaterinfo.xml
install *.{xml,cfg} $RPM_BUILD_ROOT%_gamesdatadir/planeshift



#fix updater
install -d $RPM_BUILD_ROOT%_gamesdatadir/planeshift/updatertemp
pushd $RPM_BUILD_ROOT%_gamesdatadir/planeshift/updatertemp
touch version.dat
popd

chmod -R g+rw "$RPM_BUILD_ROOT%_gamesdatadir/planeshift"

# Make sure new files stay in games group
find "$RPM_BUILD_ROOT%_gamesdatadir/planeshift" -type d -exec chmod g+x {} \;

install -d $RPM_BUILD_ROOT%_gamesbindir
cat <<EOF > $RPM_BUILD_ROOT%_gamesbindir/planeshift
#!/bin/sh

PLANESHIFT_DIR="%_gamesdatadir/planeshift"

if [ ! -d "\$PLANESHIFT_DIR" ]; then
        echo "Your Planeshift directory is missing. You need to reinstall Planeshift!"
        exit 1
fi

cd "\$PLANESHIFT_DIR"

export CRYSTAL="%_libdir/crystal-%{csver}"
export CEL="%_libdir/cel-%{celver}"

./psclient $@

EOF

cat <<EOF > $RPM_BUILD_ROOT%_gamesbindir/planeshift-updater
#!/bin/sh

PLANESHIFT_DIR="%_gamesdatadir/planeshift"

if [ ! -d "\$PLANESHIFT_DIR" ]; then
	echo "Your Planeshift directory is missing. You need to reinstall Planeshift!"
	exit 1
fi

cd "\$PLANESHIFT_DIR"

export CRYSTAL="%_libdir/crystal-%{csver}"
export CEL="%_libdir/cel-%{celver}"

./psupdater $@

chmod g+rw "\$PLANESHIFT_DIR" -R 2>/dev/null

EOF

cat <<EOF > $RPM_BUILD_ROOT%_gamesbindir/planeshift-setup
#!/bin/sh

PLANESHIFT_DIR="%_gamesdatadir/planeshift"
 \
if [ ! -d "\$PLANESHIFT_DIR" ]; then
	echo "Your Planeshift directory is missing. You need to reinstall Planeshift!"
	exit 1
fi

cd "\$PLANESHIFT_DIR"

export CRYSTAL="%_libdir/crystal-%{csver}"
export CEL="%_libdir/cel-%{celver}"

./pssetup $@

EOF

install -d $RPM_BUILD_ROOT%{_datadir}/applications
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Planeshift
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-updater.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Planeshift Updater
Comment=Planeshift Data Updater
Exec=%{_gamesbindir}/%{name}-updater
Icon=%{name}-updater
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-setup.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Planeshift Setup
Comment=Planeshift Setup
Exec=%{_gamesbindir}/%{name}-setup
Icon=%{name}-setup
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -d $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
convert icons/psicon.png  -size 16x16 $RPM_BUILD_ROOT%_miconsdir/%name.png
convert icons/psicon.png -size 32x32 $RPM_BUILD_ROOT%_iconsdir/%name.png
convert icons/psicon.png -size 48x48 $RPM_BUILD_ROOT%_liconsdir/%name.png
convert icons/setup.png  -size 16x16 $RPM_BUILD_ROOT%_miconsdir/%name-setup.png
convert icons/setup.png -size 32x32 $RPM_BUILD_ROOT%_iconsdir/%name-setup.png
convert icons/setup.png -size 48x48 $RPM_BUILD_ROOT%_liconsdir/%name-setup.png
convert icons/updater.png  -size 16x16 $RPM_BUILD_ROOT%_miconsdir/%name-updater.png
convert icons/updater.png -size 32x32 $RPM_BUILD_ROOT%_iconsdir/%name-updater.png
convert icons/updater.png -size 48x48 $RPM_BUILD_ROOT%_liconsdir/%name-updater.png

%post
# Make sure new files stay in games group
find "%_gamesdatadir/planeshift" -type d -exec chmod g+x {} \;


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%{_datadir}/applications/*.desktop
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%defattr(755,root,root,755)
%dir %_libdir/PlaneShift
%_libdir/PlaneShift/*
%_libdir/*.a
%defattr(775,root,games,775)
%_gamesdatadir/*
%defattr(755,root,root,755)
%_gamesbindir/%{name}*

%changelog
* Sun Aug 31 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.4.01-0.20080702.2pclos2007
- Rebuild

* Sat Jun 28 2008 rifter <rifter4444@gmail.com> 0.4.00-1pclinuxos2008
- cleaned some of the cruft out of it.
- check only for generic major version of cs and cel
- changed the default audio renderer to software in psclient.cfg
- removed patch02, file it was applied to no longer exists
- made a patch for incorrect vfs.cfg paths
- 0.4.01

* Tue Nov 07 2007 Torbjorn Turpeinen <tobbe@djura.org> 0.3.020-1
- 0.3.020

* Sun Jun 03 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.018-0.20070220.3
- Fix problem with flipped character labels

* Wed May 30 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.018-0.20070220.2
- Fix spec

* Mon Apr 30 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.018-0.20070220.1
- Update to latest recomended version

* Wed Jan 03 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.017-0.20061227.1
- Update to latest recomended version
- Fix update servers

* Sat Dec 09 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.017-0.20061209.1
- initial build for pclinuxos 2007

* Fri Aug 11 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.015-0.20060808.2
- Build with all features and without data

* Tue Aug 08 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.015-0.20060808.1
- Rebuild for mde
- 0.3.015 cvs20060808

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.007-1mdk
- new cvs snapshot
- add icons from rapsys

* Tue Feb 10 2004 Per �vind Karlsen <peroyvind@linux-mandrake.com> 0.2.011-1mdk
- initial mdk release(finally, but more work to be done, stay tune)
